aboutsummaryrefslogtreecommitdiff
path: root/share/hoarder/archivebox
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2020-09-29 20:16:26 -0300
committerSilvio Rhatto <rhatto@riseup.net>2020-09-29 20:16:26 -0300
commit05b63a39883120559461ec1b651324d3d7625cc9 (patch)
tree7c45672fb37d7eddff7095b9888bcea569bb82c5 /share/hoarder/archivebox
parent18b45a3c11b562700891ed9209c2e808bc7b7cf3 (diff)
downloadtrashman-05b63a39883120559461ec1b651324d3d7625cc9.tar.gz
trashman-05b63a39883120559461ec1b651324d3d7625cc9.tar.bz2
Feat: hoarder: adds archivebox and youtube-dl
Diffstat (limited to 'share/hoarder/archivebox')
-rw-r--r--share/hoarder/archivebox/info1
-rwxr-xr-xshare/hoarder/archivebox/unix/linux/debian/install22
2 files changed, 23 insertions, 0 deletions
diff --git a/share/hoarder/archivebox/info b/share/hoarder/archivebox/info
new file mode 100644
index 0000000..476e65f
--- /dev/null
+++ b/share/hoarder/archivebox/info
@@ -0,0 +1 @@
+the open-source self-hosted web archive
diff --git a/share/hoarder/archivebox/unix/linux/debian/install b/share/hoarder/archivebox/unix/linux/debian/install
new file mode 100755
index 0000000..b9767eb
--- /dev/null
+++ b/share/hoarder/archivebox/unix/linux/debian/install
@@ -0,0 +1,22 @@
+#!/usr/bin/env sh
+#
+# Install rainbowstream
+# https://archivebox.io
+# https://github.com/pirate/ArchiveBox
+
+# Parameters
+SHARE="$1"
+LIB="$2"
+
+# Include basic functions
+. $LIB/trashman/functions || exit 1
+. $LIB/trashman/debian || exit 1
+
+# Requirements
+trashman_apt_install_packages install python3 python3-pip python3-dev git curl wget youtube-dl chromium npm
+
+# Youtube-dl
+hoarder install youtube-dl
+
+# Install
+pip3 install --user -U archivebox